Subject: Re: bug#19482: Changing to big font cause display problem

From: "Jan D." <[email-masked]>
Date: Sun, 22 Feb 2015 18:43:29 +0100

Hi.

> 22 feb 2015 kl. 18:10 skrev martin rudalics <[email-masked]>:
> 
> IIUC FRAME_OUTER_TO_INNER_DIFF_Y is the height of title bar, tool bar

Only for external toolbar.

> plus that of one decoration while FRAME_OUTER_TO_INNER_DIFF_X is just
> the "width" of the decoration which I assumed equal on all other three
> sides but the top one.  I probably should have written
> 
>  outer_height = (FRAME_PIXEL_HEIGHT (f)
> 		  + FRAME_OUTER_TO_INNER_DIFF_Y (f)
> 		  + border);
> 
> instead.  Either way I can't add FRAME_OUTER_TO_INNER_DIFF_Y twice.
> 
> However, this version works only because FRAME_OUTER_TO_INNER_DIFF_X
> apparently never counts a tool bar on the left or the right.

The define has just not been updated with something like FRAME_TOOLBAR_WIDTH:

#define FRAME_OUTER_TO_INNER_DIFF_X(f) \
     ((f)->output_data.x->x_pixels_outer_diff)
#define FRAME_OUTER_TO_INNER_DIFF_Y(f)          \
     ((f)->output_data.x->y_pixels_outer_diff   \
      + FRAME_MENUBAR_HEIGHT (f) + FRAME_TOOLBAR_HEIGHT (f))

>   And at
> least here a maximized frame shows decorations only on two orthogonal
> sides so the above is certainly not always correct.  Do you have any
> better ideas?

You can always compute them on the fly with something similar to what x_real_positions does and take into account the lower right corner as well as the upper left corner.

A bit offtopic for this bug anyway.

	Jan D.